Update dashboard
curl --request PUT \
--url https://app.azalt.co/api/v1/dashboards/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"isPublic": true,
"publicCanFilterSites": true,
"password": "<string>",
"publicAccessEmails": [
"jsmith@example.com"
],
"publicAccessDomains": [
"<string>"
],
"tags": [
"<string>"
]
}
'import requests
url = "https://app.azalt.co/api/v1/dashboards/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"isPublic": True,
"publicCanFilterSites": True,
"password": "<string>",
"publicAccessEmails": ["jsmith@example.com"],
"publicAccessDomains": ["<string>"],
"tags": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
isPublic: true,
publicCanFilterSites: true,
password: '<string>',
publicAccessEmails: ['jsmith@example.com'],
publicAccessDomains: ['<string>'],
tags: ['<string>']
})
};
fetch('https://app.azalt.co/api/v1/dashboards/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"organizationId": "<string>",
"isPublic": true,
"publicCanFilterSites": true,
"order": 123,
"globalFilter": {
"siteIds": [
"<string>"
],
"startYear": 123,
"endYear": 123,
"startDate": "<string>",
"endDate": "<string>",
"statuses": [
"COMPLETED"
]
},
"createdAt": "<string>",
"updatedAt": "<string>",
"hasPassword": true,
"requiresEmail": true,
"publicAccessEmails": [
"jsmith@example.com"
],
"publicAccessDomains": [
"<string>"
],
"organizationDefaultStatuses": [
"COMPLETED"
],
"widgetTheme": {
"mode": "default",
"customColors": [
"<string>"
],
"aggregateLines": {
"totalColor": "<string>",
"averageColor": "<string>",
"peerAverageColor": "<string>",
"totalLineStyle": "solid",
"averageLineStyle": "solid",
"peerAverageLineStyle": "solid",
"totalStrokeWidth": 4.5,
"averageStrokeWidth": 4.5,
"peerAverageStrokeWidth": 4.5
}
},
"tags": [
"<string>"
]
}{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}{
"code": "NOT_FOUND",
"message": "Not found",
"issues": []
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}Dashboard
Update dashboard
Update an existing dashboard:
Required Fields:
id: Dashboard ID to update
Optional Fields:
name: New dashboard name (at least 1 character)description: Updated description (set to null to remove)isPublic: Make dashboard publicly accessiblepublicCanFilterSites: Allow public dashboard viewers to see and filter sitespassword: Add password protection (set to null to remove)publicAccessEmails: Allowlisted viewer emails for public access (set to null or [] to remove)publicAccessDomains: Allowlisted viewer email domains for public access (set to null or [] to remove)
Access Requirements:
- Manager permissions or higher required
- Must be in the dashboard’s organization
Visibility Options:
- Public: Anyone can access without login
- Protected public: Anyone can access with password
- Email-restricted public: Only allowlisted emails or domains can access
- Private: Only organization members can access
PUT
/
dashboards
/
{id}
Update dashboard
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
Successful response
Show child attributes
Show child attributes
Pattern:
^(?!-)(?:[a-z0-9-]{1,63}\.)+[a-z]{2,63}$Available options:
COMPLETED, APPROVED, REJECTED Show child attributes
Show child attributes

